### Method

# Ide DebuggerBreakpoint get_mode

#### Declaration

    IdeDebuggerBreakMode
    ide_debugger_breakpoint_get_mode (
      IdeDebuggerBreakpoint* self
    )

#### Description

Gets teh mode for the breakpoint. This describes if the breakpoint is a normal breakpoint type, countpoint, or watchpoint.

See also: `IdeDebuggerBreakMode`.

Available since: | 3.32

Gets property | `Ide.DebuggerBreakpoint:mode`

#### Return value

Returns: | `IdeDebuggerBreakMode`
| The mode of the breakpoint.